import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

const state = {
  submitDDTag: false,   //提交 - 防抖动 - 针对快速请求问题的拦截机制
  loading: false,   //全局 - 加载中....
};
//改变状态的方法
const mutations = {
  openSubmitDDTag(state, tag) {
    state.submitDDTag = tag;
  },
  loadingStore(state, tag) {
    state.loading = tag;
  },
};
var vuexStore = new Vuex.Store({
  state,
  mutations
});

export default vuexStore;